Labels on Special:Undelete should be updated after fuzzy search is added
Closed, ResolvedPublic

Description

As pointed out by an admin on English Wikipedia, before the addition of the fuzzy search the label made sense.

"Show pages starting with:"

After the update this will not be true as the fuzzy search means the results may contain a result.

"Show pages containing:" would be a suggested improvement.

MediaWiki:Undelete-search-prefix is the system message.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 7 2017, 7:55 PM

If it really is a title only search perhaps "Show page titles containing:" would be ever better

We probably need two separate messages, at least for now. "Show pages starting with" is not especially correct either, but I guess it was done to keep it short. "Show page titles containing:" sounds like a good option.

CKoerner_WMF renamed this task from Labels on Special:Undelete on English Wikipedia should be updated after fuzzy search is added to Labels on Special:Undelete should be updated after fuzzy search is added.Jun 12 2017, 9:57 PM
debt triaged this task as Normal priority.Jun 13 2017, 5:24 PM

Change 361758 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[mediawiki/core@master] Make label on Special:Undelete search reflect whether search is full-text or prefix

https://gerrit.wikimedia.org/r/361758

Change 361758 merged by jenkins-bot:
[mediawiki/core@master] Make label on Special:Undelete search reflect whether search is full-text or prefix

https://gerrit.wikimedia.org/r/361758

Smalyshev closed this task as Resolved.Jul 12 2017, 5:31 AM
Smalyshev claimed this task.